Create SmartBox User

Create a SmartBox user with a POST request to the endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The post body should contain the necessary data to create the SmartBox user as a JSON object:

{
    "user": {
        "firstName": "Bob",
        "lastName": "Smith",
        "contactEmail": "[email protected]"
    },
    "organization": {
        "id": 123456
    },
    "code": "111222",
    "sendWelcomeEmail": true
}
Body Params
user
object
required
organization
object
string

A 4-6 digit numeric code which allows the user to pick up or drop off keys they have access to in the organization.

boolean
Defaults to false

Whether to send a user a welcome email with their account details and tips to get started. The email will only be sent if a contact email has been specified. Must be "true" or "false".

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json